import pytest

from ids_list import get_ids
import path_setting
from in_common.base_request import BaseRequest
from all_backend_api.conversation_request import conversation_request


class TestMessageRead:
    data = BaseRequest().api_load(path_setting.MESSAGE_READ)
    #conversation_case, conversation_data = get_ids(data, "message_read")
    messageread_case, messageread_data = get_ids(data, "message_read")


    @pytest.mark.parametrize("param",messageread_data,ids=messageread_case)
    def test_message_read(self,param):
        r = conversation_request().message_read(param["current_city_id"], param["release"], param["message_ids"])
        if r["error"] == 0:
            assert r["data"]["success"] == param["assert"]
        #if r["error"] == 0:
           # success = r.get("data").get("success", "")

